package com.jeeplus.finance;

import com.jeeplus.core.annotation.JeeplusCloudApplication;
import com.jeeplus.finance.config.ConnectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;

import javax.annotation.PostConstruct;

/**
 * 测试模块
 *
 * @author jeeplus
 */


@JeeplusCloudApplication
public class JeeplusFinanceApplication {
    @Autowired
    private ConnectionService connectionService;

    public static void main(String[] args) {
        SpringApplication.run ( JeeplusFinanceApplication.class, args );
        System.out.println ( " O(∩_∩)O~ 财务模块启动成功 ^_^ﾞ  \n" + "    _                         _                   _                  _   \n" +
                "   (_)                       | |                 | |                | |  \n" +
                "    _    ___    ___   _ __   | |  _   _   ___    | |_    ___   ___  | |_ \n" +
                "   | |  / _ \\  / _ \\ | '_ \\  | | | | | | / __|   | __|  / _ \\ / __| | __|\n" +
                "   | | |  __/ |  __/ | |_) | | | | |_| | \\__ \\   | |_  |  __/ \\__ \\ | |_ \n" +
                "   | |  \\___|  \\___| | .__/  |_|  \\__,_| |___/    \\__|  \\___| |___/  \\__|\n" +
                "  _/ |               | |                                                 \n" +
                " |__/                |_|                                                 " );
    }


    @PostConstruct
    public void init() {
        connectionService.startCheckingConnection(); // 启动连接检查
    }
}
