/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.finance.ccpm.vo;



import com.jeeplus.core.domain.TreeEntity;
import lombok.Data;

import java.util.List;

/**
 * 复核标准Entity
 * @author ssrh
 * @version 2018-06-01
 */
@Data
public class ProjectTemplateInfoVo extends TreeEntity<ProjectTemplateInfoVo> {

	private static final long serialVersionUID = 1L;
	private String attachName;		// 名称
	private String indexNum;		// 排序
	private String attachTypes;		// 附件类型
	private Integer attachLength;	// 附件大小（单位：M）
	private String parentIds;		// 所有父ID
	private String parentId;		// 父ID
	private String companyId;   //公司id
	private String parentName;
	private List<WorkClientAttachment> workAttachments;
	private String projectId;
	private String attachId;
	private Integer mustFlag;   //判断是否是必填项（1：必填，0：非必填）
	private Integer requiredStage;   //必填阶段(1.上传报告,2.归档)
	private Integer flag;
	private String url;
	private String temporaryUrl;		// 附件地址(临时地址)

	private Integer fileFlag;   //判断是否有文件(1:有文件信息，0：无文件)

	private String collectFlag;	//判断是否收藏
	private String fileSize;	//f附件大小
	private String description;	//文件描述
	private String materialProperties;	//资料性质


}
