/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.finance.ccpm.vo;




import com.jeeplus.core.domain.TreeEntity;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import lombok.Data;

import java.util.List;

/**
 * 工作内容管理Entity
 * @author yangfan
 * @version 2018-06-04
 */
@Data
public class RuralProjectcontentinfoVo extends TreeEntity<RuralProjectcontentinfoVo> {

	private static final long serialVersionUID = 1L;
	private RuralProjectRecordsVo project;		// 项目id
	private String companyId;		// 公司id
	private String officeId;		// 部门id
	private String name;		// 名称
	private String type;		// 类型
	private String dictType;		// 字典类型
	private String infoId; //详情页id
	private ProjectReportDataVo projectReportData;
	private ProjectReportDataVo projectReportDataTwo;
	private String view;
	private List<WorkAttachmentInfoDTO> workAttachments;
	private String edit;
	private String linkId;//引用ID
	private String home;
	private String change;
	private String projectId;   //项目id

	private List<ProjectTemplateInfoVo> fileAttachmentList;   //报告文件
	private List<ProjectTemplateInfoVo> fileGistdataList;   //依据性文件
	private List<ProjectTemplateInfoVo> fileOtherList;   //其他文件

	private String attachmentProjectSort;   //项目类别
	private String projectLevel; //项目等级
	private String projectType; //项目等级

	private String reportedId;

}