package com.jeeplus.finance.ccpm.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TranspondDTO {

    /**
     * 数据id
     */
    private String id;

    /**
     * 审核通过或驳回 yes同意 no驳回
     */
    private String flag;

    /**
     * 审核意见
     */
    private String comment;

    /**
     * 流程key
     * 例如：ccpm系统的21,212,213  cpa系统的Process_1669275081328
     */
    private String processDefKey;

    private WorkInvoiceVo workInvoice;
}
