/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.finance.ccpm.vo;


import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 添加附件Entity
 * @author mapengbo
 * @version 2017-10-12
 */
@Data
public class WorkClientAttachment extends BaseEntity {

	private static final long serialVersionUID = 1L;
	private String url;		// 附件地址
	private String type;		// 附件类型
	private String attachmentUser;		// 上传人
	private String attachmentUserName;		// 上传人
	private String attachmentName;		// 文件名
	private String attachmentId; //外联 客户编号
	private List<String> attachmentIdList; //外联 客户编号
	private String attachmentFlag; //附件类别
	private String companyId; //附件类别
	private String projectId; //项目id
	private String temporaryUrl;		// 附件地址(临时地址)
	private String collectFlag;		// 收藏判定
	private String fileSize;	//文件大小
	private String fileSizeFlag;	//文件大小(已处理状态)
	private String createName;	//创建人
	private String sort;	//排序
	private String description;	//说明
	private String divIdType;//判定条件

	private Date beginDate;
	private Date createDate;
	private Date updateDate;
	private Date endDate;

}
