/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.finance.ccpm.vo;


import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import javax.validation.constraints.Size;

/**
 * 客户开行信息Entity
 * @author mapengbo
 * @version 2017-10-11
 */
@Data
public class WorkClientBankVo extends BaseEntity {

	private String ourBank;		// 开户银行
	private String bankNumber;		// 开户账号
    private WorkClientInfoVo clientId;		// 外键关联客户表 父类

	
}