/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.finance.ccpm.vo;



import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 附件信息Entity
 * @author yangfan
 * @version 2017-10-11
 */
@Data
public class WorkattachmentVo {

	private static final long serialVersionUID = 1L;
	private String url;		// 附件地址
	private String type;		// 附件类型
	private String attachmentId;		// 附件id
	private String attachmentUser;		// 上传人
	private String attachmentName;		// 文件名
	private String companyId;           //企业id
	private String attachmentFlag;     //附件类别(0:评价汇总表、1:标书方案编制表)
	private String divIdType;//判定条件
	private String temporaryUrl;		// 附件地址(临时地址)

	private String reportDataName;//成果文件名称
	private Integer quoteResult;//是否为引用文件判定
	private String quoteId;//被引用文件id

	private String collectFlag;		// 收藏判定
	private String fileSize;	//文件大小
	private String projectId;	//项目id
	private String sort;	//排序
	private String description;	//文件描述

	private Date createDate;
	private String id;
	private String createBy;

}
