/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.finance.ccpm.vo;


import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;

/**
 * 客户管理Entity
 * @author 丁旭
 * @version 2017-03-20
 */
@Data
public class WorkClientLinkman extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	private String office ;   //部门
	private String name;		// 联系人姓名
	private String position;		// 职务
	private String qq;		// QQ
	private String linkPhone;		// 联系人电话
	private String linkMobile;		// 联系人手机
	private String email;		// E-mail
	private String isDefault;		// 是否默认联系人
	private WorkClientInfoVo clientId;		// 外键关联客户表 父类
	private String projectId;		// 外键关联工程表（资格预审）
	private List<String> clientIds;
	private String uscCode;
	private String createName;   //创建人

}