package com.jeeplus.finance.ccpm.vo;


import com.google.common.collect.Lists;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class WorkInvoiceProjectRelationVo extends BaseEntity {
    private String invoiceId;       //开票编号
    private String projectId;       //项目id
    private String projectName;     //项目名称
    private String workContractName;    //合同名称
    private String projectNum;     //项目编号
    private String clientName;  //委托方
    private String reportDataNum;   //报告号
    private Integer isProject;  //是否是项目开票
    private String details;     //非项目-开票详情
    private String contractId;     //非项目-合同id
    private String invoiceState;     //开票状态



    public static final String SERIAL_BIZCODE = "3";//编号模板类型

    private static final long serialVersionUID = 1L;
    private String number;		// 发票申请编号
    private String processInstanceId; // 流程实例编号
    private String reportNumber;		// 报告号
    private Double money;		// 价税合计
    private String moneyStr;		// 价税合计(String)
    private String invoiceType;		// 发票类型
    private String invoiceTypeStr;		// 发票类型Str
    private String chargeType;		// 收款类型
    private String billingContent;		// 开票内容
    private String content;		// 开票内容要求
    private Integer invoiceNumber;		// 发票编号（暂时弃用）
    private Date invoiceDate;		// 开票日期
    private Date takeDate;          //领票日期
    private String drawerName;      //开票人（发票管理员名称）
    private String invoiceRemarks;		// 开票备注
    private String isInvoice;		// 是否开票
    private String isCharge;		// 是否收款
    private String isInvalid;		// 是否作废
    private String orUnicode;       //纳税人识别号
    private String address;         //地址
    private String telephone;        //电话
    private String bank;              //开户银行
    private String bankNumber;        //银行账号
    private String cancleReason; //作废原因
    private String companyId; //提交人的公司编号
    private String officeId;
    private String officeName;
    private String submitterId;		// 发票登记人id
    private String submitterName;		// 发票登记人名称
    private String ext;//1总公司-上级公司0分公司-本公司
    private String contractDate;
    private String province; //省份
    private String home;
    private Date beginContractDate;		// 开始
    private Date endContractDate;		// 结束
    private Date receiptMoneyDate;		// 收款日期
    private String receiptMoney;		// 是否收款
    private String cancellation;		// 作废判断
    private String adminFlag;		// 管理员判断
    private String cancellationRemark;		// 作废原因
    private List<WorkInvoiceDetailVo> workAccountList = Lists.newArrayList();//发票明细
    private List<WorkInvoiceProjectRelationVo> workInvoiceProjectRelationList;//开票和项目关系表
    private Integer notifyFlag; //代办判定条件
    private String notifyId; //代办判定条件
    private String widNumber; //发票号
    private String widTotalMoney; //发票金额
    private Double widTotalMoneyD; //发票金额

}
