package com.jeeplus.finance.projectRecords.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("cw_fillingbatch_info")
public class CwFillingbatchInfo extends BaseEntity {

    //归档批次号
    private String no;

    //归档名称
    private String name;

    //归档说明
    private String remarks;

    //流程信息
    private String procInsId;
    private String processDefinitionId;

    //审核状态
    private String status;

    //审核通过时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditAgreeTime;
}
