package com.jeeplus.finance.projectRecords.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.finance.projectRecords.domain.CwFillingbatchFile;
import lombok.Data;

import java.util.List;

@Data

public class CwFillingbatchProjectDTO extends BaseEntity {

    //归档id
    private String fillingbatchId;

    //报告id
    private String reportId;

    //案卷号
    private String achiveNo;

    //状态
    private String status;

    //排序
    private Integer sort;
    //报告文号
    private String no;
    @Excel(name = "*报告号（必填）",width = 25,orderNum = "1")
    private String reportNo;
    //项目名称
    @Excel(name = "文件内容",width = 25,orderNum = "3")
    private String name;
    //层级
    @TableField(exist = false)
    private String level;
    @TableField(exist = false)
    private List<CwFillingbatchFile> cwFillingbatchFiles;

    //项目编号
    @Excel(name = "*文件类型（必填）",width = 25,orderNum = "2")
    private String projectNumber;

    //项目类别
    private String projectType;

    //项目负责人
    private String projectLeaderName;

    //项目登记人
    private String createName;
}
